## r-cran-gitcreds 0.1.1

=== DESCRIPTION ===
Package: gitcreds
Title: Query 'git' Credentials from 'R'
Version: 0.1.1
Author: Gábor Csárdi
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Query, set, delete credentials from the 'git' credential
    store. Manage 'GitHub' tokens and other 'git' credentials. This package
    is to be used by other packages that need to authenticate to 'GitHub'
    and/or other 'git' repositories.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/r-lib/gitcreds
BugReports: https://github.com/r-lib/gitcreds/issues
RoxygenNote: 7.1.1.9000
Suggests: codetools, testthat, knitr, mockery, oskeyring, rmarkdown,
        withr
Encoding: UTF-8
SystemRequirements: git
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2020-12-04 13:45:29 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2020-12-04 14:00:03 UTC

=== debian/changelog ===
r-cran-gitcreds (0.1.1-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Test-Depends: r-cran-mockery, r-cran-codetools

 -- Andreas Tille <tille@debian.org>  Sat, 23 Jan 2021 08:34:22 +0100

r-cran-gitcreds (0.1.1-1) unstable; urgency=medium

  * Initial release (closes: #980191)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 22:14:30 +0100

=== debian/control ===
Source: r-cran-gitcreds
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gitcreds
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gitcreds.git
Homepage: https://cran.r-project.org/package=gitcreds
Rules-Requires-Root: no

Package: r-cran-gitcreds
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: query 'git' credentials from GNU R
 Query, set, delete credentials from the 'git' credential
 store. Manage 'GitHub' tokens and other 'git' credentials. This package
 is to be used by other packages that need to authenticate to 'GitHub'
 and/or other 'git' repositories.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat,
            r-cran-mockery,
            r-cran-codetools
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/gitcreds_([-\d.]*)\.tar\.gz

## r-cran-gitcreds 0.1.2

=== DESCRIPTION ===
Package: gitcreds
Title: Query 'git' Credentials from 'R'
Version: 0.1.2
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Query, set, delete credentials from the 'git' credential
    store. Manage 'GitHub' tokens and other 'git' credentials. This
    package is to be used by other packages that need to authenticate to
    'GitHub' and/or other 'git' repositories.
License: MIT + file LICENSE
URL: https://gitcreds.r-lib.org/, https://github.com/r-lib/gitcreds
BugReports: https://github.com/r-lib/gitcreds/issues
Depends: R (>= 3.4)
Suggests: codetools, covr, knitr, mockery, oskeyring, rmarkdown,
        testthat (>= 3.0.0), withr
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.2.1.9000
SystemRequirements: git
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2022-09-08 10:28:07 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  RStudio [cph, fnd]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2022-09-08 10:42:55 UTC

=== debian/changelog ===
r-cran-gitcreds (0.1.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * lintian-overrides (see bug #1017966)

 -- Andreas Tille <tille@debian.org>  Thu, 15 Sep 2022 10:34:59 +0200

r-cran-gitcreds (0.1.1-3) unstable; urgency=medium

  * Team Upload.
  * d/t/control: Add r-cran-knitr to test deps

 -- Nilesh Patra <nilesh@debian.org>  Mon, 28 Mar 2022 22:45:03 +0530

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-gitcreds
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gitcreds
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gitcreds.git
+Homepage: https://cran.r-project.org/package=gitcreds
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gitcreds
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gitcreds.git
-Homepage: https://cran.r-project.org/package=gitcreds
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-gitcreds
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat,
            r-cran-mockery,
            r-cran-codetools,
            r-cran-knitr
Restrictions: allow-stderr
